// 上传请求
import { otherHttp } from '/@/utils/http/axios'

enum Api {
    cascaderHn = '/region/cascader/hn', // 获取湖南省内 市/区县/乡镇级联数据
    queryByType = '/banner/queryByType', // 获取开屏页背景图片
}

/**
 * 查询湖南省 市/区县/乡镇
 * @returns 市/区县/乡镇
 */
export function cascaderHn() {
    return otherHttp.get({
        url: Api.cascaderHn,
    })
}
/**
 * 获取开屏页大背景图片
 * @returns 大背景图片
 */
export function getQueryByType(params = {}) {
    return otherHttp.get({
        url: Api.queryByType,
        params,
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded',
        },
    })
}
